%define	name	silo
%define	version	1.4.5
%define	release	1mdk

Summary:	The SILO boot loader for SPARCs.
Summary(fr):	Chargeur de boot Linux pour SPARCs.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
ExclusiveArch:	sparc sparcv9 sparc64
Group:		System/Kernel and hardware
Url:		http://sparc-boot.org/
Source:		http://www.sparc-boot.org/pub/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	e2fsprogs-devel elftoaout
Provides:       bootloader

%description
The silo package installs the SILO (Sparc Improved LOader) boot
loader, which you'll need to boot Mandrakelinux on a SPARC.  SILO
installs onto your system's boot block and can be configured to boot
Linux, Solaris and SunOS.

%description -l fr
Le paquetage silo installe le chargeur de boot SILO (Sparc Improved
LOader) dont vous avez besoin pour dmarrer Mandrake linux sur une
SPARC.  SILO s'installe sur le "boot block" de votre systme et peut
tre configur pour dmarrer Linux, Solaris et SunOS.

%prep 
%setup -q

%build
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs COPYING ChangeLog
/boot/*.b
%config(noreplace) %{_sysconfdir}/%{name}.conf
%defattr(755,root,root,755)
/sbin/%{name}
%{_sbindir}/silocheck
%{_bindir}/*
%{_mandir}/*/*
 
%changelog
* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.4.5-1mdk
- 1.4.5
- s/Mandrake Linux/Mandrakelinux/
- update url

* Wed Jan 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.6-2mdk
- provides bootloader

* Sat May 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.6-1mdk
- 1.2.6
- added url
- cleaned up
- updated buildrequires
- added missing files
- s/Linux-Mandrake/Mandrake Linux/

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.8-3mdk
- rebuild for rpm 4.2 (to keep srpm readable)

* Wed May 17 2000 Franois Pons <fpons@mandrakesoft.com> 0.9.8-2mdk
- build release.

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8
- fix group
- spec-helper

* Tue Jan 11 2000 Franois PONS <fpons@mandrakesoft.com>
- added french translation.
- added needed BuildRequires to e2fsprogs-devel.
- build release.

* Thu Nov 11 1999 Jakub Jelinek <jakub@redhat.com>
- fix reading above 4GB

* Wed Nov  3 1999 Jakub Jelinek <jakub@redhat.com>
- for new kernels, put initial ramdisk right after
  their _end if it fits, should fix many problems with
  initrd loading.
- removed bootfile patch - it was not working anyway
  and AFAIK noone used it

* Tue Oct 12 1999 Jakub Jelinek <jakub@redhat.com>
- fixed a horrible bug introduced in the last release.
  Thanks DaveM.

* Mon Oct 11 1999 Jakub Jelinek <jakub@redhat.com>
- fix support for less buggy PROMs (those which are able
  to read above 1GB, but not 2GB).

* Fri Oct  8 1999 Jakub Jelinek <jakub@redhat.com>
- use some partition device and not whole device if
  possible for masterboot installs
- remove a lot of old cruft, including -d, -o and -O
  options
- no longer do any heuristic about where to put
  the bootblock, simply if -t is not given, it goes
  to bootblock at cylinder 0, otherwise to the
  partition bootblock
- make silotftp.b work

* Wed Oct  6 1999 Jakub Jelinek <jakub@redhat.com>
- brown paper bag bugfix to get cd booting of
  gzipped images working

* Mon Oct  4 1999 Jakub Jelinek <jakub@redhat.com>
- fix bug on traversing non-absolute symlinks

* Tue Sep 28 1999 Jakub Jelinek <jakub@redhat.com>
- don't install silo in %post.

* Thu Sep 23 1999 Jakub Jelinek <jakub@redhat.com>
- actually install the new man page.

* Mon Sep 20 1999 Jakub Jelinek <jakub@redhat.com>
- update to 0.8.8.

* Fri Sep 17 1999 Jakub Jelinek <jakub@redhat.com>
- update to 0.8.7.

* Tue Apr 20 1999 Jakub Jelinek <jj@ultra.linux.cz>
- update to 0.8.6.

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- update to pre0.8.6-1.

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- fix password checking (bug #1054)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- add -lc to work around mis-built libext2fs.so

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.5.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.2.

* Mon Oct 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.1.

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.
- run silo automagically on install.

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- update to pre-0.7.3-3.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root
